org.mariadb.jdbc.internal.common.query

## Interface Query

All Known Subinterfaces:
  ParameterizedQuery

All Known Implementing Classes:
  MySQLParameterizedQuery, MySQLQuery

    public interface Query

### Method Summary

Methods
`String` `getQuery()`
`QueryType` `getQueryType()`
`void` `validate()`
`void` `writeTo(OutputStream os)`

### Method Detail

#### writeTo

    void writeTo(OutputStream os)
                 throws IOException,
                        QueryException

Throws:
  `IOException`
  `QueryException`

#### getQuery

    String getQuery()

#### getQueryType

    QueryType getQueryType()

#### validate

    void validate()
                  throws QueryException

Throws:
  `QueryException`